Bug 216114 - unnamespaced global symbols in libopal
unnamespaced global symbols in libopal
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: opal (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks: 216170
  Show dependency treegraph
 
Reported: 2006-11-17 06:04 EST by Joe Orton
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-13 09:29:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2006-11-17 06:04:53 EST
jorton@jolt:~$ rpm -qf /usr/lib/libopal_linux_x86_r.so.2.2.2
opal-2.2.2-1.1.i386

Clashes for /usr/lib/libopal_linux_x86_r.so.2.2.2:
  with /usr/lib/libspeex.so.1.3.0 => speex_decoder_destroy
speex_std_low_mode_request_handler (...125 symbols omitted.\
..) vbr_nb_thresh
  with /usr/lib/libg2c.so.0.0.0 => pow_ii r_sign i_nint

If there's a good reason why the system libspeex can't be used it should really
be namespaced properly.
Comment 1 Daniel Veillard 2007-07-13 09:29:14 EDT
I can't really handle that kind of bugs, could you check with ekiga/opal
upstream ? They are on the openh323 project
  http://www.openh323.org/mailman/listinfo
So far pwlib/opal has only been used for just ekiga in Fedora Core
and the three need to be upgraded simultaneously, there isn't really
any long tern ABI at those layers, and I don't know for the interface
with speex.

Daniel

Note You need to log in before you can comment on or make changes to this bug.